HUD Error

Hey guys so I am kind of new to LUA and I am having trouble with this.
I get this error:

[ERROR] gamemodes/darkrp/gamemode/modules/fpp/pp/client/hud.lua:574: attempt to call method ‘IsOwnable’ (a nil value)

  1. DrawEntityDisplay - gamemodes/darkrp/gamemode/modules/fpp/pp/client/hud.lua:574
  2. unknown - gamemodes/darkrp/gamemode/modules/fpp/pp/client/hud.lua:584

574:if IsValid(tr.Entity) and tr.Entity:IsOwnable() and tr.Entity:GetPos():Distance(localplayer:GetPos()) < 200 then
tr.Entity:DrawOwnableInfo()
end
end

584:DrawEntityDisplay()

self.BaseClass:HUDPaint()

end

Is it DarkRP 2.5?

2.5.1

You are using an outdated hud, IsOwnable() is no longer a function in darkrp, it got replaced with isKeysOwnable() as well as DrawOwnableInfo() got replaced with drawOwnableInfo() and so on, and so on…

You better get a hud that is made for 2.5.1 and higher.

Thanks :slight_smile: